# Config and variables
init:
    $ uri = "mods/rose/assets_folder/"

label rosech2:

    scene black with dissolve

    "{cps=*0.05}...{/cps}"
    
    "It's been a few days since my close encounter of the Rosa kind took place at the school garden. "
    
    "I've been feeling... different, ever since, like something inside of me is slowly filling up with...something. "
    
    "Any tension that may have arisen from Fang deciding they want to play guitar instead of bass seems to have evaporated, and the band has been in a frenzy, practicing with renewed vigor." 
    
    "Everything was going well, until..."
    
    pause 0.3
    
    play ambient1 "audio/OST/Ramo de Rosas.ogg" volume 0.4 fadein 3
    
    show hallway with dissolve
    
    show anon neutral flip at rfa_right
    
    show rosa neutral flip at rba_right
    
    Ro "Hola, An-on, can we talk after school?"
    
    pause 0.3
    
    show anon neutral at rfa_right
    
    show rosa considering flip

    Ro "I really need someone to talk to..."

    "I froze, standing in the middle of the school hallway, several students shouldering their way past me angrily."
    
    "Since our almost-kiss, Rosa and I have been texting back and forth, most of it pretty basic stuff."
    
    "I was afraid to ask about her family again, worried that it might upset her."
    
    "Even I knew that sort of thing should be talked about in person, but a selfish part of me had hoped that by avoiding the issue, everything would just work itself out."
    
    A "Sure, where do you wanna meet?"

    Ro "There's a restaurant in Old Town that I like to go, wanna meet there?"

    "Old town, huh. That's the part of town that lies right at the edge, popular with the Hispanic and Latino dinos."
    
    "By bus it'll take me a while to make it there, and I've got a pretty important assignment from Mr. Carldobiski to finish tonight..."

    "Fuck it. If Rosa needs to talk to someone, it's got to be important."

    A "I'll be there."
    
    show rosa neutral flip

    Ro "Oh, gracias An-on! I'll send you the address!"

    Ro "Looking forward to it!"
    
    scene black with dissolve(0.25)
    
    stop ambient1
    
    "{i}{cps=*0.05}...{/cps} {cps=*0.60}Later that day.{/cps}{/i}"
    
    "I end up needing to take two busses to make it to the address Rosa texted, my mind racing as the Volcaldera streets rushed by, unseen."
    
    "I kept telling myself to relax, that Rosa just needed someone to talk to, probably about her mother."
    
    "I don't think she told anyone else about that, even Stella, so it was natural to confide in me, right?"
    
    "I mean, it wasn't a... date, or anything? I was just getting some food."
    
    play ambient2 'audio/effects/alarmSirenLoop.ogg' volume 0.3 fadein 3

    "With a girl."

    "Who I almost kissed the other week."
    
    "{cps=*0.5}...I really wish those alarms would shut up...{/cps}"
    
    stop ambient2
    
    pause .5
    
    show oldtown with dissolve
    
    show anon neutral at rb_left
    
    show anon:
        easein 3 rfa_right
    
    "The sun had warmed up considerably as I walked the streets of Old Town, a sudden early-spring heatwave causing me to sweat profusely."
    
    "I tried to ignore the odd looks passersby kept shooting me: It was pretty rare for a human to be in Old Town alone, let alone one who was as white as I was."
    
    show anon:
        easein 3 r_right
    
    "Hurrying along, I finally made it to the place Rosa mentioned: An old brick taqueria, a half-dozen or so small plastic tables and chairs set up around the entrance."
    
    "A poorly-painted depiction of a Dino-ball Z character towers on one side of the building, a muscle-bound Saurian, his golden crest bristling with energy."
    
    "Pulling my phone out to let Rosa I'm here, I pause to snap a picture of the faded yet surprising well-painted figure."
    
    "Man, the boys on the Ethiopian knitting smoke-signal system aren't going to believe this."
    
    show anon neutral flip with dissolve(.11)
    
    pause 1
    
    show anon neutral with dissolve(.11)
    
    pause 1
    
    show rosa neutral behind anon at rb_left
    
    show rosa:
        easein 2 rfa_right
    
    "Evidence logged, I take one final look around for Rosa, before suddenly someone careens into my back, their powerful arms pinning my own to my sides."
    
    play ambient1 "audio/OST/Ramo de Rosas.ogg" volume 0.4 fadein 2
    
    Ro "An-on, there you are! Dios mío, you took your sweet time, vago!"
    
    "My fear subsides as I notice that it's Rosa hugging me from behind."
    
    "I can tell by the force she's exerting that she's happy to see me, and the feeling of her ample bosom pressing against my back is making me VERY happy to see her."
    
    show anon neutral flip behind rosa with dissolve
    
    "Rosa spins me around by the shoulders until I'm facing her, flashing me a beaming smile before hugging me again, resting her head on my chest."
    
    Ro "An-on, I'm really glad you're here..."
    
    "My arms wrap awkwardly around her back as I return the hug."
    
    A "Of course Rosa. So, this place any good?"
    
    show rosa considering
    
    show rosa:
        easein 1 rf_right
        
    show anon:
        easein 1 xpos .70
    
    "I ask, flashing Rosa a smile as we break apart."
    
    "Knowing full well that with an anime character on the side, there's no way this place can be bad."
    
    show rosa neutral
    
    pause .3
    
    show rosa:
        easein_back 0.5 xalign .45
    
    play sound 'audio/effects/slapstickBigPunch.ogg'
    
    "Rosa catches onto my little jibe, elbowing me in the ribs while laughing."
    
    Ro "Oh, si, si An-on! It's the best in all of Old Town! Come on, let's get in line, this place fills up fast!"
    
    show rosa neutral flip
    
    "Before I can make a move, Rosa grabs my hand before eagerly tugging me inside."
    
    play ambient2 'audio/effects/alarmSirenLoop.ogg' volume 0.3 fadein 3
    
    "I can feel my heartbeat quicken as she takes my hand, hear the alarm bells starting to sound in my head once more."
    
    stop ambient2
    
    stop ambient1
    
    scene black with dissolve
    
    pause .5
    
    show inres with dissolve
    
    show rosa neutral flip at rba_right
    
    show rosa:
        easein 2 rf_right
        
    show anon neutral flip behind rosa at rb_right
    
    show anon:
        easein 2 r_right
        
    play ambient1 'audio/effects/dinomoesLoop.ogg' volume .4 fadein 3
    
    "The inside of the taqueria is cramped, with more tables taking up most of the space inside."
    
    "An menu lists what I assume is the food, the hand-written Spanish completely incomprehensible to me."
    
    show anon neutral
    
    "True to Rosa's word a line has already started to form, a few customers glancing back at us as we take out spots at the end of the line."
    
    show anon neutral flip
    
    A "So, uh, how's the..." 
    
    "I try to mouth out the syllables to one of the items, sending Rosa into another fit of laughter."

    "She's still holding my hand."
    
    show rosa neutral

    Ro "Oh An-on, don't worry! I can order for us, is no problem!"
    
    "Rosa gives me another smile, her crimson eyes twinkling in the florescent lighting."
    
    "A long moment passes, each of us staring at the other before finally snapping back to reality."
    
    show rosa considering flip
    
    "Blushing, Rosa drops my hand, quickly crossing her arms beneath her breasts as she attempts to hide her embarrassment."
    
    pause .5
    
    scene black with dissolve
    
    pause .5
    
    "We make small talk for the rest of the wait, about our classes, how the garden is doing."
    
    "As we share with each other, I realize just how nice hanging out with Rosa is."
    
    "She's cute and funny, twirling her hair around one finger as she listens to me talk, equally at ease talking about herself as she is asking about my own life."
    
    "Somehow, she manages to pull more out of me than I've shared with even Fang and the gang, stories of my life and my parents coming out as naturally as any shitpost."
    
    stop ambient1
    
    pause .5
    
    show oldtown with dissolve
    
    show anon neutral at rba_left with dissolve
    
    show rosa neutral flip at rf_left with dissolve
    
    play ambient1 'audio/effects/outdoorloop.ogg' loop fadein 2 volume .35
    
    play ambient2 'audio/effects/teenageCrowdMurmurLoop.ogg' fadein 2 volume .4
    
    "The wait in line passes by in a flash, and one hurried order in Spanish later, Rosa and I take a seat outside, settling next to each other in the weather-worn plastic seats."
    
    A "So, Rosa, what did you want to talk about? When you texted, I mean."
    
    stop ambient1 fadeout 2
    
    stop ambient2 fadeout 2
    
    "I've been dreading this question, but the longer I talked about my own family back home in Rock Bottom, the more I knew I had to ask."
    
    show rosa considering flip
    
    play ambient1 'audio/OST/Appreciating her Company.ogg' volume .5 fadein 3
    
    "My suspicions are confirmed as Rosa's face falls, and I hate myself for how sad she looks now, resisting the urge to throw my arm around her to comfort her."

    "Rosa heaves a heavy sigh before beginning to speak, fidgeting with her bracelet as she does."
    
    show rosa unimpressed frown flip
    
    Ro "It's mi madre, An-on, she is driving me crazy! All she say is 'Rosa, when are you gonna finish school so you can help us at work?' 'Rosa, why haven't you brought any nice boys home yet?'"
    
    "My heart does another flutter-jump at that, but I keep silent, letting Rosa vent out her frustrations."
    
    show rosa bossy flip
    
    "Rosa begins gesturing angrily with her hands as she goes on, waggling her finger at her imaginary mother."
    
    Ro "But when I ask her about her pain, offer to help, it's just 'No, no es demasiado problema!' I know something is wrong, but she won't let me in!"
    
    show rosa unimpressed flip
    
    "Deflating a little, Rosa drops her hands back to the table with a thump, her gaze following them dejectedly."
    
    show rosa unimpressed frown flip
    
    Ro "I don't know what to do! The one persona I want to help the most, and she doesn't let me!"
    
    show rosa unimpressed flip
    
    "A lull appears in the conversation, and I know this is my moment to speak up."
    
    show anon:
        easein 2 xpos .20
    
    "Hoping my palms aren't too sweaty, I reach over to take Rosa's hand, giving her a little squeeze of encouragement."
    
    A "Rosa, I'm sorry you have to go through with that, it sounds harsh."
    
    A "But you can't force these things, you can't make people let you in. You have to...let them let you in, you know?"
    
    "I stumble over my words as Rosa looks up at me, her beautiful eyes shimmering with unshed tears. Her hand squeezes mine back."
    
    A "I maybe don't know what you're going through, and maybe no one's cared for me like this before, but..."
    
    A "Argh, what I mean is, you're lucky to have someone who loves you like that."
    
    A "Maybe just by loving them back, that's enough, you know?"
    
    show rosa considering flip

    "Rosa is silent as she stares up at me, clearly thinking on what I've just said."
    
    "Moments pass, and I know well enough to shut up and be quiet, to let Rosa work out what she's feeling."
    
    "Rosa breaks the silence at last, her voice catching slightly."
    
    show rosa unimpressed smile flip
    
    stop ambient1 fadeout 2
    
    Ro "You do have people who care about you, An-on."
    
    show rosa unimpressed smile flip:
        easein 1 xpos .50
    
    "Suddenly, Rosa pulls her hand out of mine, reaching up to take either side of my face."
    
    #could ya know, not be lazy and move the sprites :P
    
    scene black with dissolve
    
    play ambient1 'audio/OST/middle_of_nowhere.ogg' fadein 3 volume .5
    
    "Her face rises to meet mine as she pulls me down, planting her mouth on mine in a kiss."
    
    play ambient2 'audio/effects/alarmAirraidSiren.ogg' volume 0.3 fadein 1
    
    "WARNING!!"

    "WARNING!!"

    "WE ARE NOW BEING SMOOCHED BY A QT-LATINA DINO!!"
    
    stop ambient2 fadeout 3

    "I'm so taken aback, it's all I can do for a second to just let Rosa kiss me."
    
    "It's awkward at first, her beaky snoot making it difficult for her to get her lips on mine properly."
    
    "But then my surprise fades, and I kiss her back, a slow, soft kiss that seems to go on forever."
    
    scene black with dissolve
    
    "My eyes close, letting me fall into the kiss entirely, until it's all I can feel, wanting with all my heart for it to never end."
    
    "All thought is banished by the kiss, replaced entirely with Rosa."
    
    "Beautiful, loving, sweet Rosa."
    
    stop ambient1 fadeout 2
    
    play ambient3 'audio/effects/outdoorloop.ogg' loop fadein 2 volume .35
    
    play ambient2 'audio/effects/teenageCrowdMurmurLoop.ogg' fadein 2 volume .4
    
    show oldtown with dissolve
    
    show anon neutral at rb_left with dissolve
    
    show rosa unimpressed smile flip at r_left with dissolve
    
    "We finally break apart, our lips clinging together for a split-second before we settle back, eyes opening."
    
    play ambient1 'audio/effects/heartbeat.ogg' volume 0.5 fadein 2
    
    "It feels like I've just run a hundred miles, my heart fit to burst as it thunders in my chest."
    
    "Rosa still holds my face in her hands, her eyes staring deeply into mine."
    
    "This close, I can see every facet of those crimson eyes, sparkling like gems in her kind face."
    
    stop ambient1 fadeout 1
    
    show anon grin with dissolve
    
    "A sudden grin splits Rosa's face, and I find myself sporting one equally as large."
    
    stop ambient2 fadeout 2
    
    stop ambient3 fadeout 2
    
    scene black fadein 2
    
    "Giggling, we start to lean into each other once more, our eyes slowly closing."
    
    "The second kiss is a sweet as the first, and yet there's an intensity behind it, as if some unspoken agreement has passed between us and the kiss is the means by which we seal the deal."
    
    "This time, I take Rosa's face in my hands as well, making sure to scrub them on my jeans beforehand."
    
    "Our second kiss lasts longer than the first, neither of us willing to break it off, but eventually Rosa pulls away, resting her forehead on mine."
    
    play ambient3 'audio/effects/outdoorloop.ogg' loop fadein 2 volume .35
    
    play ambient2 'audio/effects/teenageCrowdMurmurLoop.ogg' fadein 2 volume .4
    
    play ambient1 'audio/OST/middle_of_nowhere.ogg' fadein 3 volume .5
    
    show oldtown with dissolve
    
    show anon neutral at rba_left with dissolve
    
    show rosa unimpressed smile flip at r_left with dissolve
    
    Ro "Oh, eso estuvo bien, Anon... That was very, very nice..." 
    
    "Rosa's whisper is nearly silent against the noise of the street, a quiet prayer uttered for only the two of us to hear."
    
    show rosa neutral flip with dissolve
    
    show rosa:
        easein 2.5 rf_left
    
    "Moving her hands away from my face, she takes both of mine, holding them together between us as she sits back."
    
    Ro "I care about you, An-on. You are the estúpido humano that makes me feel like the prettiest niñita in the world."
    
    show rosa unimpressed smile flip with dissolve
    
    Ro "And I like that."
    
    "Rosa flashes another of her smiles, the one that fills her whole face with joy."
    
    Ro "I like that a lot."
    
    stop ambient1 fadeout 2
    
    stop ambient2
    
    stop ambient3
    
    show dimmer_darker behind all
    
    show rosa neutral flip
    
    pause .7
    
    play ambient1 'audio/OST/appreciating_the_scenery.ogg' fadein 2 volume .5

    "The rest of the day passes by in a blur."
    
    "Food was eventually brought out, Rosa having ordered the both of us a selection of her favorite tacos."
    
    "She even ordered mine with real meat, sparing me the tofu and soy replacements that she usually ate."
    
    "Luckily, Rosa picked the perfect spot for our first date, as we could eat the tacos with one hand, holding the other's hand underneath the table."
    
    show anon happy
    
    "The Super Saurian on the side didn't lie either: They really were the best tacos I had ever had."
    
    scene black with dissolve

    "Afterwards Rosa offered to drive me home."
    
    "Apparently, she had forgotten I didn't have a car, and the thought of me taking the busses home this late worried her to no end."
    
    stop ambient1 fadeout 2
    
    play ambient1 'audio/OST/Skinrow Soul.ogg' fadein 4 volume .5
    
    show city morning
    
    "I gave Rosa an address not too far from where I actually lived, still not wanting her to know I lived in the shithole that was Skin Row."
    
    "Rosa gave my hand another squeeze before I got out of her car, smiling as I placed a chaste kiss on her cheek."

    show anon neutral flip at r_right with dissolve
    
    show rosa unimpressed smile at rf_right with dissolve

    A "See you tomorrow, Rosa."

    Ro "See you tomorrow, mi novio."
    
    stop ambient1 fadeout 2
    
    return