# Config and variables
init:
    $ uri = "mods/rose/assets_folder/"

label rosech5:

    "{cps=*0.05}...{/cps}"

    "The drive out to Rosa’s house is long, much longer than I expected."
    
    scene roadro with dissolve
    
    play ambient1 'audio/OST/appreciating_the_scenery.ogg' fadein 3 volume .5
    
    play ambient2 'audio/effects/outdoorLoop.ogg' fadein 2 volume .1

    "The bustle of city slowly gives way to the neat order of the suburbs, which in turn yield their place to a patchwork of farms and ranch houses."

    "My relatively short walk to school suddenly doesn’t seem so bad."

    "Geez, I can’t believe Volcaldera High is the closest school Rosa can get to…"

    Ro "It’s not. Mama wanted me to go though, she said the schools out here are basura."

    "God damn mumbling…"

    Ro "That’s actually the closest to us. I think Papi went there, actually…"

    "Rosa points to a semi-dilapidated building as we drive by, its most prominent features being several smashed windows and a dire need for new paint."

    "If it wasn’t for the billboard out front sporting the school’s name, I would think Rosa was lying."

    A "It must be hard, living so far away from school."

    "Rosa turns off the main street, passing onto an lonely, unmarked road."

    Ro "Si, si, sometimes it can be a pain. Especially when I’m late doing my hair or whatever."

    "I peek over, watching as Rosa tussles her hair with her free hand."

    "It’s hard to believe she ever had a bad hair day in her life, with how luscious those auburn locks look."

    Ro "¡Ay, An-on, dejalo! You’re making me blush!"

    "Sometimes, it pays to mumble."

    "Chuckling, I point to my impeccable chrome dome."

    A "At least that’s something I never have to worry about."
    
    play sound 'audio/effects/slapstickPunch.ogg'

    "Giggling, Rosa leans over to elbow me in the ribs."

    "I entertain us for a while by attempting to blind passing motorists with the reflection off my head."
    
    stop ambient1 fadeout 2
    
    stop ambient2 fadeout 2
    
    scene black with dissolve

    "Eventually, Rosa pulls off yet again, this time passing through a wrought-iron gate and onto a well-maintained gravel drive."

    "Long stretches of green growing… things flank us on either side."

    "This must be the place."
    
    scene frontro with dissolve
    
    play ambient1 'audio/OST/west_coast_kicking.ogg' fadein 2 volume .5
    
    play ambient2 'audio/effects/outdoorNatureLoop.ogg' fadein 2 volume .1

    "Rosa pulls up to a large terracotta-tiled house. It’s nice, with a huge porch wrapping around the house."
    
    "Parked outside a large barn are several work trucks, dirt-splattered and with several racks of tools in the back."
    
    show anon neutral flip at re_right
    
    show anon:
        easein 3 xpos .55
    
    A  "So… do you guys use all these for the farm?"
    
    show anon neutral 
    
    "I point at the trucks as I climb out of Rosa’s car, backpack in hand."
    
    show rosa considering flip at re_right
    
    show rosa:
        easein 3 rba_right
    
    "Rosa follows shortly after me, not bothering to lock up her car."
    
    show rosa considering
    
    Ro  "Que? Oh, those. Si, well, some of them."
    
    "She points to one on the far end, whose equipment racks are empty."
    
    show rosa neutral
    
    Ro  "That one there? That’s Papi’s truck."
    
    "The truck in question does look a little nicer: Newer, with a little less dirt on the outside."
    
    A  "Your dad doesn’t haul his own equipment or something?"
    
    show rosa unimpressed smile flip
    
    Ro "Not quite…"
    
    "Rosa turns to me, grinning mischievously across her car."
    
    Ro "Mama just makes Papi store his guns inside now."
    
    show anon concerned
    
    "What little blood remains in my monitor-bleached face fades."
    
    show rosa neutral flip
    
    Ro  "Relax, I’m just kidding."
    
    show anon neutral
    
    "I sigh, resisting the urge to mop my forehead."
    
    show rosa neutral
    
    Ro  "He still leaves them outside sometimes."
    
    "Trying desperately to banish the image of a gun-toting ankylosaur breaking down my door, I turn my back and gaze out across the fields."
    
    show anon considering
    
    show rosa considering flip
    
    A  "Sooo, changing the topic for no particular reason…"
    
    show anon neutral flip
    
    show anon:
        easein 2.5 r_left
    
    A  "Is this ALL your family farm?"
    
    "I jab a finger out towards the fields."
    
    show rosa considering flip
    
    show rosa:
        easein 2.5 rfa_left
    
    "Rosa joins me on the other side of the car, away from the house."
    
    "The fields come nearly all the way up to the house, separately only by a well-kept yard and a pasture-style fence."
    
    "Beyond that though, they seem to stretch a pretty sizable distance."
    
    show rosa neutral flip
    
    Ro  "Si, all forty acres of it."
    
    show anon neutral
    
    Ro  "Half of it we lease out to other farmers who need extra fields, or to companies during the off-season."
    
    "I nod along."
    
    "Even after all this time spent in the Gardening Club, I still know nothing about growing things."
    
    "Although I did grow that cool mushroom one time, on that one sock that-{w=.5}{nw}"
    
    show anon considering
    
    "You know what, never mind."
    
    show anon neutral
    
    Ro  "Mama and Papi bought it when they got married."
    
    "She giggles, sending my heartbeat quickening."
    
    Ro  "I don’t even think they had money for a house, at first!"
    
    show anon grin
    
    show rosa considering flip
    
    A  "That must’ve been an awkward wedding night."
    
    show rosa unimpressed flip
    
    show anon concerned
    
    show rosa:
        easein_back 0.5 xpos .61
    
    play sound 'audio/effects/slapstickBigPunch.ogg'
    
    "Rosa elbows me in the ribs again, a little less gently this time."
    
    show anon neutral
    
    Ro  "Ay, none of that, comprendido?"
    
    show rosa considering flip
    
    show rosa:
        easein 3 rf_left
    
    #Bit wierd to depict this in-game.
    
    "Rosa settles down, leaning her head on my shoulder."
    
    show anon neutral flip
    
    Ro  "It’s not much, compared to some other farms out here."
    
    "‘Compared to some other farms’?"
    
    "Taking in the size of their field, it’s hard to imagine this is a small operation."
    
    #Made a pause in sentences here
    
    Ro  "I help out Papi when I can; weekends..."
    
    show rosa unimpressed smile flip
    
    Ro "Or after school if my boyfriend doesn’t make me late."
    
    show rosa unimpressed flip
    
    "I rest my head on hers, smelling the sweet smell of her hair."
    
    A  "Wow, I didn’t know I was depriving your family of such a valued worker."
    
    "Rosa continues to stare out across her family’s field."
    
    stop ambient1 fadeout 3
    
    Ro  "Normally Mama helps out as well, but ever since she{cps=*0.05}...{/cps}"
    
    "Her voice trails off."
    
    show anon concerned flip
    
    "Foot, meet mouth."
    
    show anon neutral flip
    
    "I can feel Rosa stiff against my shoulder, hear her playing idly with her keys."
    
    show anon neutral
    
    show rosa considering flip
    
    A  "Hey."
    
    #Same-ish issue here
    
    "Rosa turns to look at me, a sad little frown creasing her beautiful face."
 
    A  "I didn’t mean to bring up… that. Honesty, I didn’t."
    
    A  "This is supposed to be a nice night, and here I go, stressing you out and shit."
    
    A  "I’m sorry."
    
    A  "I can’t know what you’re going through, but I’m here to make it better, however I can."
    
    A  "I’m here for you."
    
    show rosa unimpressed flip
    
    show rosa:
        easein 2 xpos .54
    
    "I pull Rosa into a squeeze, feeling her hug me back tight."
    
    "We stand like that for a second, both of us relishing the other’s touch."
    
    "When Rosa speaks, her voice is muffled against my chest."
    
    show rosa unimpressed frown flip
    
    play ambient1 'audio/OST/Beach Chill Out.ogg' fadein 3 volume .5
    
    Ro  "Gracias, An-on."
    
    show rosa unimpressed flip
    
    show rosa:
        easein 3 rf_left
    
    "She pulls away."
    
    Ro  "And it’s okay, you didn’t say anything wrong."
    
    show rosa unimpressed
    
    Ro  "It’s just hard, sometimes. You’ve never seen her before…"
    
    "Rosa gestures vaguely in the air."
    
    Ro  "Before she got sick, but she’s so different now."
    
    Ro  "She’s slimmed down so much, and even the smallest things are difficult."
    
    "Rosa throttles the air in frustration."
    
    show rosa angry
    
    show anon concerned
    
    show anon:
        easein 2 xpos .32
    
    Ro  "Ay, if she just let me help her!"
    
    show anon neutral
    
    show rosa unimpressed
    
    "For a second it looks like Rosa is going to launch into another Spanish tirade, but she holds back."
    
    "Spent, she sighs."
    
    show rosa considering flip
    
    Ro  "What am I going to do, An-on?"
    
    show anon:
        easein 2.5 r_left
    
    "I shift from foot to foot awkwardly."
    
    "I’m still not used to people asking advice from me, a miserable weeb who just wanted to be left alone."
    
    "But now, Rosa and Fang both look to me for help."
    
    "…"
    
    "On the roof, Fang just wanted to vent, but this is different."
    
    "…"
    
    show anon concerned
    
    "Jeez, what do I even say to her?"
    
    "Everything I can think of sounds so trite, so commonplace."
    
    "I honestly don’t know what to say."
    
    show anon neutral
    
    "…"
    
    A  "Rosa…"
    
    show rosa considering flip
    
    "She turns her eyes to mine."
    
    A  "The truth is…"
    
    A  "I don’t know what’s going to happen with your mom."
    
    "Before she can start to look worse, I take hold of both her hands."
    
    A  "But I do know that whatever happens, I’ll be right there beside you."
    
    "Rosa faces me with pleading eyes."
    
    Ro  "Promise?"
    
    "I give her hands a squeeze."
    
    A  "Promise."
    
    "My words seem to ease Rosa somewhat."
    
    "The faint beginnings of a smile ease her face out of its previous frown."
    
    stop ambient1 fadeout 2
    
    show rosa neutral closed flip
    
    Ro  "Good."
    
    show rosa neutral
    
    "Taking my hand in hers, she leads me to the front door."
    
    "Where her family is waiting for me…"
    
    "As Rosa and I cross through the door, a thought occurs to me: The last family I visited…"
    
    "…"
    
    show anon concerned
    
    "Hopefully it goes a little better than that."
    
    scene black with dissolve
    
    pause .5
    
    scene livingro with dissolve
    
    pause .5
    
    stop ambient2 fadeout 2
    
    show rosa neutral flip at re_right
    
    show rosa:
        easein 2.5 rba_right
    
    play ambient1 'audio/OST/Ramo de Rosas.ogg' fadein 3 volume .4

    Ro  "Mama? Papi? ¡Estoy en casa!"
    
    show rosa:
        easein 2.5 r_right
    
    show anon neutral flip at re_right behind rosa
    
    show anon:
        easein 3.5 rf_right
    
    "As Rosa leads me through the front door, I’m hit with an immediate and powerful wave of smells."
    
    show rosa neutral closed
    
    "Strong odors reminiscent of Rosa’s cooking perinate the inside of the house, the spicy richness promising the best meal of my life."
    
    show anon:
        easein 3 rba_left
    
    "The strongest of which is coming from over there…"
    
    show rosa neutral
    
    Ro  "Smells good, doesn’t it?"
    
    show anon neutral
    
    "I look back to where Rosa is hanging her backpack in a closet."
    
    "A brief glance of a mountain of workboots and trucker hats cements that this is a working household."
    
    show rosa neutral flip
    
    show rosa:
        easein 2.5 xpos .41
    
    Ro  "I’m not half as good as Mama in the kitchen."
    
    "Not half as good?"
    
    "I recall all the delicious meals Rosa has brought me over our relationship."
    
    show anon grin
    
    show rosa considering flip
    
    A  "This promises to be a good evening, then."
    
    show rosa neutral flip
    
    #moveback
    
    show anon fear
    
    play sound 'audio/effects/slapstickPunch.ogg'
    
    show rosa:
        easein_back 0.5 xpos .40
    
    "Rosa gives me a playful hip-check."
    
    show anon neutral
    
    Ro  "Hey, aren’t you supposed to say I’m the best cook?"
    
    "I manage to catch myself before stumbling into a wall of pictures."
    
    show anon shrug
    
    A  "Isn’t honesty the best policy?"
    
    show anon grin
    
    show rosa unimpressed flip
    
    "Rosa rolls her eyes at the tired cliché."
    
    show rosa unimpressed smile flip
    
    Ro  "Not when your girlfriend’s feelings are at stake."
    
    show rosa considering flip
    
    show anon neutral flip
    
    "Giving her my most innocent grin, I take a look at the photographs I almost crashed into."
    
    "Most of them seem to be family photos: Smiling ankylosaurs at various stages of life attending huge family gatherings."
    
    "Their happiness reminds me of how little my own family seems to want to do with me."
    
    A  "Is this you?"
    
    "I point to a photo of a young woman in an enormous dress, the prink frilly skirt nearly doubling her size."
    
    "Rosa eyes the photo for a second."
    
    show rosa unimpressed flip
    
    "Why does she look… nostalgic?"
    
    Ro  "Actually, that’s-"
    
    stop ambient1 fadeout 2
    
    show rosa excited flip
    
    show anon ohshit flip
    
    unknown "{b}It’s me.{/b}"
    
    show isabel neutral flip at re_right
    
    "A cold voice cuts Rosa off before she can finish."
    
    show isabel neutral flip at r_right
    
    show anon neutral
    
    show rosa considering behind anon
    
    show rosa:
        xpos .30
        
    play ambient1 'audio/OST/sage goes in all fields.ogg' fadein 4 volume .4
    
    "I turn slowly to face the owner, suddenly very aware of how close Rosa and I are standing."
    
    "…"
    
    "She’s just standing there…"
    
    "Menacingly…"
    
    show rosa neutral
    
    #movein
    
    Ro  "Umm, Mama, this is An-on…"
    
    "The demurely dressed matron of the house regards me with cold eyes."
    
    #movein
    
    A  "H-how do you do, ma’am?"
    
    "Any second now, I feel like I’m going to slip on my own puddle of sweat."
    
    show rosa neutral flip front anon
    
    show rosa:
        xpos .41
    
    Ro  "An-on this is mi madre, Isabel."
    
    show rosa considering behind anon
    
    show rosa:
        xpos .30
    
    Is "So…"
    
    #movein
    
    show isabel:
        easein 2.5 xpos .62
    
    "Rosa’s mom takes a step towards us."
    
    "I have to fight the instinct to step back."
    
    "With Fang’s dad, it was like staring down the barrel of a gun…"
    
    show anon concerned
    
    "…But this is like being measured for my own coffin."
    
    show anon neutral
    
    Is "You are the niño my Rosa has fallen for?"
    
    "She looks me down head-to-toe before addressing her daughter."
    
    Is "El es pequeno."
    
    show rosa unimpressed
    
    Ro  "Mama…"
    
    Is "Y calvo."
    
    "Her eyes seem to fixate on my head."
    
    Is "Muy calvo."
    
    show rosa bossy
    
    show isabel angry flip
    
    "The pair of them descend into rapid Spanish."
    
    "Even with Rosa serving as my free tutor when she can, I haven’t learned enough to follow the conversation."
    
    show isabel neutral flip
    
    show rosa unimpressed
    
    "Eventually, after much gesturing, Rosa seems to have won whatever battle they were waging."
    
    stop ambient1 fadeout 3
    
    "The stern spiney senorita favors me with a curt nod and a sniff."
    
    show rosa considering
    
    Is "Dinner will be ready soon. Go wash up down the hall."
    
    show isabel neutral
    
    show isabel:
        easein 4.5 re_right
    
    "Without another word, she turns on her heel, stalking back towards the source of the heavenly smells."
    
    show anon sad
    
    "I finally release the breath I was subconsciously holding."
    
    show anon neutral
    
    "How can someone that frail looking muster up that much intensity?"
    
    "I felt like she was going to nail me to the wall with her gaze alone…"
    
    show rosa:
        xpos .41
    
    show rosa considering flip
    
    "I feel Rosa at my side, tugging me down the hall."
    
    show rosa considering flip
    
    Ro  "C’mon, An-on, you heard Mama."
    
    A  "I did?"
    
    "I’m still dazed after my near-Madre experience."
    
    "Rosa gives me a weak smile."
    
    play ambient1 'audio/OST/Venetian Values.ogg' fadein 3 volume .4
    
    show rosa neutral flip
    
    Ro  "Cheer up, this is going well!"
    
    show anon unimpressed
    
    A  "THAT was what you consider ‘well’?"
    
    show anon neutral
    
    show rosa unimpressed flip
    
    Ro  "Si, si…"
    
    show rosa considering flip
    
    Ro  "I expected a lot more, honestly."
    
    show rosa neutral flip
    
    Ro  "I mean, you heard what she said. I think she likes you!"
    
    A  "Rosa, I couldn’t understand ANYTHING she said!"
    
    show rosa:
        xpos .30
    
    show rosa neutral
    
    show rosa:
        easein 3 rf_left
        
    show anon:
        easein 3 r_left
    
    "Laughing, Rosa takes my hand, patting it as she leads me in the direction her mom indicated."
    
    "Following her, a part of me is surprised my bones haven’t turned to jelly."
    
    show rosa neutral flip
    
    show rosa:
        xpos .60
    
    Ro  "Didn’t you learn anything from your Spanish lessons?"
    
    "Well, you wouldn’t tell me how to swear, so…"
    
    "No."
    
    "Wait, that was Spanish, wasn’t it?"
    
    Ro  "It was all good, trust me."
    
    "My bullshit alarm, finely honed after years of spotting shills, beings to go off."
    
    show rosa considering flip
    
    A  "Rosa, what does ‘Pequeño mono flaco’ mean?"
    
    show rosa neutral closed flip
    
    "If I didn’t know any better, I’d say she was biting back a laugh."
    
    show rosa neutral flip
    
    Ro  "Look, you made it through the front door, didn’t you?"
    
    Ro  "That’s not something any other boy can say."
    
    "A pyrrhic victory, at best…"
    
    "Also, ‘any other boy’?"
    
    "Have there been…"
    
    Ro  "Granted, you are the only boy I’ve…"
    
    show rosa considering flip
    
    "Rosa’s face starts to turn red."
    
    Ro  "I-I mean, you’re the first boyfriend that I’ve…"
    
    "With how she’s twisting her hair I’m surprised it hasn’t pulled off."
    
    Ro  "You’re the first boy I’ve ever been serious about."
    
    Ro  "I’ve had other boyfriends before, but none I’ve wanted to bring home to mi famila."
    
    A  "O-oh…"
    
    "Now it’s my turn for a face inferno."
    
    A  "That’s, uhh…"
    
    show rosa considering
    
    #This line would look weird with her avaliable sprites.
    
    "Rosa buries her face in her hands for a second."
    
    Ro  "Ayyy, Dios Mio! An-on, don’t mention that to Mama!"
    
    A  "What, the other boyfriend part, or the part about being serious?"
    
    show rosa neutral flip
    
    "She uncovers her face with an embarrassed laugh."
    
    Ro  "Both!"
    
    show rosa considering flip
    
    Ro  "If Mama knew there were other boys, ones I didn’t mention, she’d…"
    
    "I think I can imagine what would happen if Isabel found out Rosa had other boyfriends in the past."
    
    "For some reason, a shallow grave keeps popping up."
    
    A  "Don’t worry Rosa."
    
    show rosa neutral closed flip
    
    A  "Your secret is safe with me."
    
    "Rosa sags with relief."
    
    "I wonder if I could…"
    
    show anon grin
    
    show rosa considering flip
    
    A  "But it’s gonna cost you."
    
    show rosa bossy flip
    
    show anon neutral
    
    "My cheeky grin is quickly silenced by Rosa’s threatening finger."
    
    "Nope, can’t joke about it yet."
    
    Ro  "An-on, lo juro por Dios…"
    
    stop ambient1 fadeout 2

    scene black with dissolve
    
    pause .75

    scene kitchenro with dissolve
    
    pause .5
    
    show isabel neutral flip at r_left
    
    show rosa neutral flip at re_right behind isabel
    
    show anon neutral flip at re_right
    
    play ambient1 'audio/OST/she_fucks_human_men.ogg' fadein 3.5 volume .5
    
    show rosa:
        easein 2.5 r_right
        
    show anon:
        easein 3 rba_right

    "Freshly scrubbed for dinner, Rosa leads me into the kitchen."
    
    "It’s cozy, the numerous cooking utensils lining the walls giving it a lived-in feel."
    
    "It’s still probably bigger than my entire apartment…"
    
    show isabel neutral
    
    "Rosa’s mother turns away from the stove, where a massive, stained cookpot boils with the most amazing smells I’ve ever, well, smelled."
    
    show rosa considering flip
    
    Is "So, An-on…"
    
    "Her eyes narrow."
    
    show isabel:
        easein 1 xpos .38
        easein 1 ypos .80
        
    pause 1
    
    Is "Tell me more about yourself."
    
    "She settles down onto a stool by the stove with a sense of familiarity."
    
    "I wonder how long she spends in this room…"
    
    A  "Well, ma’am, there’s not much to tell."
    
    "I start to relay the important parts of my life, starting with my move to Volcaldera, careful to leave out the specific reason behind my move."
    
    "Isabel takes it in in silence, quietly studying me behind a coffee cup with two little handprints on it."
    
    "There’s a strength in her eyes unmatched by her body, like she’s holding herself together more through sheer will than anything else."
    
    "Rosa never specified what was wrong with her Mom, but now that I’m not fearing for my life, I can see the signs."
    
    "Isabel’s hands shake slightly when she gives the poblano a stir, her body frail, her face creased beyond her age."
    
    "I can’t imagine what Rosa must be going through, seeing her mother being reduced like this."
    
    A "…and, well, that’s how your daughter and I met."
    
    show rosa excited flip
    
    show anon concerned flip
    
    show isabel angry
    
    play sound 'audio/effects/slapstickPunch.ogg'
    
    stop ambient1
    
    Is "And how you kissed?"
    
    "She wields the word like a knife."
    
    show isabel neutral
    
    A  "I, ah, well, t-that’s-{w=.5}{nw}"
    
    show anon neutral flip
    
    show rosa bossy flip
    
    Ro  "Mama!"
    
    "Rosa brandishes the same finger she used on me, blushing furiously as she does so."
    
    Ro  "¡Eso fue privado! You and Papi said you’d be nice!"
    
    show isabel smile
    
    show rosa unimpressed flip
    
    "Isabel relents somewhat, a sly smile on her face."
    
    play ambient1 'audio/OST/Fuck You I Like This Chick.ogg' fadein 3.5 volume .5
    
    Is "Lo siento, Rosa, but you didn’t think I wouldn’t embarrass you in front of your… friend, did you?"
    
    show isabel neutral
    
    "She catches herself slightly, the word “boy” noticeably absent."
    
    show rosa:
        easein 3.5 rba_left
    
    "Rosa begins sliding around the kitchen, summoning plates and silverware from the multitude of cabinets."
    
    Ro  "An-on, you will have to forgive Mama. She promised to be nice, but I supposed she’s forgotten that promise as well!"
    
    show isabel shocked
    
    "The older woman flinches slightly."
    
    "Whatever promise Rosa is talking about, it seems to have an effect on her mother..."
    
    show isabel angry flip
    
    Is "Rosa, no delante de nuestro invitado."
    
    show rosa:
        xpos .14
    
    show rosa unimpressed
    
    "The two women stare each other down for a second."
    
    show rosa unimpressed flip at rba_left
    
    Ro "…Fine. But we are not finished with this!"
    
    show isabel neutral flip
    
    "Isabel sighs."
    
    show isabel neutral
    
    Is "I suppose not. Come, An-on, help me to the table. Papi should be here soon."
    
    show anon:
        easein 2 r_right
    
    show isabel:
        easein 2.5 xpos .40 ypos .75
    
    "I hold out my hand for her to take, helping her out of the stool."
    
    stop ambient1 fadeout 2
    
    scene black with dissolve
    
    pause .5
    
    "Her grip is weaker than I thought it would be…"
    
    scene diningro with dissolve
    
    pause .5
    
    play ambient1 'audio/OST/Dragging on and on....ogg' fadein 3.5 volume .5
    
    show anon neutral at re_left
    
    show isabel neutral at re_left
    
    show anon:
        easein 4.5 xpos .16
        
    show isabel:
        easein 4 r_left
    
    "The dining room dominates much of the space next to the kitchen."
    
    "A massive table extends almost from wall to wall, surrounded by curio cabinets and family portraits."
    
    "Everywhere I look, a member of Rosa’s family stares me down…"
    
    Is "This is far enough, An-on, gracias."
    
    show isabel:
        easein 2 ypos .80
    
    "The waifish woman takes a seat towards the head of the table."
    
    show rosa considering at re_left
    
    show rosa:
        easein 4 rfa_left
    
    "Rosa joins us soon after, distributing plates and spoons for four."
    
    show isabel neutral flip
    
    Is "Please, An-on, sit, sit."
    
    show rosa considering flip
    
    "She beckons me into the chair across from her."
    
    A  "Are you sure, I’d be happy to help Rosa in the kitchen."
    
    show anon concerned
    
    "I cast a semi-pleading look towards my girlfriend."
    
    show anon neutral
    
    "A part of me wants to avoid being alone with Rosa’s mom, in case I do anything to make things worse."
    
    Is "Rosa can serve dinner when her father gets here."
    
    show isabel smile flip
    
    Is "Come, talk to an old woman for a moment."
    
    show rosa neutral flip
    
    "Laughing, Rosa finishes the place setting."
    
    show isabel smile
    
    Ro  "Mama, you are no old woman."
    
    Is "Ay, Rosa, sometimes I feel like one."
    
    #idk if rosa moves here or later
    #please move to place god
    #thanks god :)
    
    window hide
    window auto
    
    show rosa:
        easein 3 re_left
        
    show anon:
        easein 2.5 r_right
        easein 1 ypos .80
        
    show isabel neutral
        
    pause 2
    
    show anon neutral flip
    
    "As I take a seat across from her, I can see what she means."
    
    "All the strength Isabel had before seems to have gone."
    
    "Like she was saving it all up for our initial meeting."
    
    "She can barely sit upright without wincing now."
    
    show anon concerned flip
    
    stop ambient1 fadeout 2
    
    Is "An-on, I am sorry about how I acted before."
    
    "Her apology catches me off-guard."
    
    play ambient1 'audio/OST/middle_of_nowhere.ogg' fadein 4 volume .5
    
    show isabel smile
    
    show anon neutral flip
    
    Is "It’s not every day Rosa brings a boy home for us to meet, and, well…"
    
    "She laughs softly."
    
    Is "I acted like just like mi propia madre!"
    
    "Taking another sip from her mug, she gives me a soft smile."
    
    stop ambient1 fadeout 2
    
    "Despite the wanning of her eyes, it’s just as warm as any of Rosa’s."
    
    play ambient1 'audio/OST/Dragging on and on....ogg' fadein 4 volume .5
    
    Is "Please, you were telling me more about you and Rosa."
    
    Is "How have you two been getting along with the garden?"
    
    stop ambient1 fadeout 2
    
    "Before I can answer, a booming voice echoes from the front door."
    
    show isabel shocked
    
    play sound 'audio/effects/slapstickBigPunch.ogg'
    
    unknown "¡Ya llegué! ¿El ya está aquí?"
    
    play ambient1 'audio/OST/Dragging on and on....ogg' fadein 4 volume .5
    
    show isabel smile flip
    
    show joshua neutral at re_left
    
    show joshua:
        easein 2.5 rb_left
    
    "Not bothering to wait for a response, what I can only assume to be Rosa’s dad barges into the dining room."
    
    "It’s like watching an avalanche of scales descend towards me in slow motion."
    
    show rosa neutral
    
    show rosa:
        easein 2 xpos -.07
        
    show joshua neutral flip behind rosa
    
    show joshua:
        xpos .16
    
    Ro  "Papi!"
    
    "Rosa flits out of the kitchen, hugging her father as he spins her around."
    
    show isabel neutral flip
    
    Is "Joshua, please, how many times have I told you? Boots off at the door."
    
    "Rosa’s mom gives the titanic man a pleading look, her voice weak."
    
    Jo "¿Que? Oh, that!"
    
    show joshua neutral flip
    
    show rosa:
        easein 2 re_left
    
    "Letting Rosa down, he looks back at the dusty bootprints on the floor."
    
    show joshua neutral
    
    show joshua:
        rb_left
    
    "Holding both hands to his gut as if to contain it, Joshua lets out a booming laugh."
    
    Jo "Bwahaha! Sorry dear! But what’s the good of having a broom if we don’t use it?"
    
    "He turns to me, still holding his stomach with one hand."
    
    Jo "Ay, you must be him!"
    
    show anon:
        easein 1 ypos .75
        
    #Sorry, had to edit that part.
    
    "Rosa introduces me from the kitchen as I stand, hand outstretched."
    
    show joshua neutral flip
    
    show joshua:
        xpos .16
    
    Ro  "Papi, this is An-on, my boyfriend."
    
    "She gives me a cute smile while she attends to the dinner being cooked."
    
    show joshua neutral
    
    show joshua:
        rb_left
    
    Jo "An-on, huh? I’ve a heard a lot about you boy. C’mere, c’mere!"
    
    "Joshua ignores my outstretched hand."
    
    #Movein
    
    show isabel:
        easein 2 xpos .30
    
    show joshua:
        easein 1.5 rf_right
        
    pause .80
    
    play sound 'audio/effects/slapstickBigPunch.ogg'
    
    show isabel shocked
    
    show rosa considering
    
    show anon fear flip
    
    A  "Nice to meet you-ACK!"
    
    "Before I can protest, I’m swallowed up in a hug, smothered by two-hundred and fifty pounds of scalding dinosaur scales."
    
    "I can feel the life slowly being squeezed out of me."
    
    Is "Josh, let the poor boy go! He’s had enough parental trouble already."
    
    show isabel neutral
    
    show anon concerned flip
    
    show anon:
        easein 2 xpos .70
    
    "Free from my fleshy prison, I can finally breath again."
    
    show anon neutral flip
    
    show rosa neutral flip
    
    show rosa:
        easein 2.5 re_left
    
    "Isabel, I forgive you for anything you may have said…"
    
    #Sound loop here
    
    Jo "Ah, sorry, sorry! Just so good to see you, An-on!"
    
    show anon concerned flip
    
    play ambient 'audio/effects/slapstickPunch.ogg' volume .5
    
    "Joshua’s repeated claps to my shoulder feel like I’m being driven into the floor as a human nail."
    
    stop ambient
    
    show anon neutral flip
    
    show isabel smile
    
    Jo "I’ve been looking forward to this all week. My little girl, bringing home her little boyfriend for the first time… Ah, what father wouldn’t be excited!"
    
    show rosa considering
    
    show rosa:
        easein 2.75 rb_left
    
    "Rosa emerges from the kitchen, a tureen of heavenly-scented goodness cradled in her arms."
    
    show joshua neutral flip
    
    show joshua:
        xpos .51
    
    Ro  "Papi, please, I’d like there to be something left of An-on by the end of the night, okay?"
    
    show anon considering flip
    
    "Ignoring the idea of Rosa wanting me at the end of the night…"
    
    show anon neutral flip
    
    Is "Indeed, I’m sure you would. Josh, go clean up, we’re about to eat."
    
    show joshua neutral flip
    
    show joshua:
        easein 4 re_left
        
    show anon:
        easein 3 rba_right
        easein 1 ypos .80
    
    show rosa:
        easein 4 rf_right
    
    "Laughing, Joshua’s dad flees to the kitchen as Rosa starts to dole out the food."
    
    show isabel neutral
    
    "I have to hold myself back from diving into the sticky-sweet goodness."
    
    show isabel neutral flip
        
    show anon:
        easein 2.5 xpos .88
    
    "If anything, it smells even better than the time Rosa brought it to the Gardening Club meeting."
    
    show rosa neutral
    
    show rosa:
        easein 2 r_right
        easein 1 ypos .80
    
    Ro  "Still in one piece?"
    
    "Smiling, Rosa takes a spot next to mine."
    
    show anon concerned flip
    
    A  "Barely. Your dad may have squeezed a bit of me out with that hug there."
    
    show isabel smile flip
    
    show anon neutral flip
    
    "I can see Isabel smile out of the corner of my eye."
    
    "Seems she’s preparing her own appetizer of pills…"
    
    show rosa neutral closed
    
    Ro  "Si, he’s a friendly guy, Papi."
    
    show rosa neutral
    
    show joshua neutral
    
    show joshua:
        easein 3 xpos .08
    
    Ro  "He almost impaled himself on Stella’s spikes the first time she came over!"
    
    show rosa considering flip
    
    show rosa:
        xpos .72
    
    show isabel smile
    
    show joshua:
        easein 2.5 xpos .45
        easein 2 ypos .80
    
    Jo "Your little green friend? Si, I prefer this one here."
    
    "Rosa’s dad points to me as he takes his spot at the head of the table."
    
    Jo "Much less spikey! Bwahahaha!"
    
    "His booming laugh makes me jump a little."
    
    stop ambient1 fadeout 2
    
    Jo "Alright, now, Rosa, would you lead?"
    
    "Lead? Like, get a head start on eating, or…"
    
    show isabel neutral
    
    show rosa neutral closed flip
    
    "I see Rosa begin to clasp her hands together."
    
    "Oh."
    
    "Right."
    
    "Eyeing the picture of Raptor Jesus above the table, I bow my head as well."
    
    #Not sure if I need to add a blackscreen here or not
    
    play ambient1 'audio/OST/Appreciating the Moment.ogg' fadein 3 volume .5
    
    show dimmer_darker
    
    show isabel smile
    
    show rosa neutral flip
    
    "Once grace is finished, dinner itself passes quickly."
    
    "The mole poblano is just as delicious as it smells."
    
    "Rosa even slipped some chicken into mine, knowing how I prefer to avoid tofu."
    
    "Before long, I was awash in family stories and great food."
    
    show rosa excited flip behind anon
    
    "Joshua took no small delight in telling all of Rosa’s embarrassing stories."
    
    "Like how she used to have adventures as “Rosa de Explora”, complete with a purple backpack she made herself."
    
    show rosa unimpressed flip
    
    show anon grin flip
    
    "Man, I am so going to hold that over her head…"
    
    show rosa neutral flip
    
    show anon neutral flip
    
    "Isabel even got a little of her previous spark back, either from the food or the memories."
    
    "She seemed to take delight in drawing my own family stories out of me."
    
    scene black with dissolve
    
    stop ambient1 fadeout 2
    
    hide dimmer_darker
    
    "Well, what little there was…"
    
    pause 2
    
    "As the night went on, it was plain to me that this was going to be a one-sided affair."
    
    "Rosa’s parents would regale me with happy tales of their wonderful daughter…"
    
    "…And I would try to ignore the fact that my parents didn’t want a single thing to do with me anymore."
    
    "I thought back to my mom and dad, back in Rock Bottom, the same ones who sent their only son halfway across the country."
    
    "Did they do it because I begged them to, unable to face the teasing anymore?"
    
    "Or did they do it because they wanted me out of the house?"
    
    "…"
    
    "My father made it clear that once High School was over, I wasn’t welcome back home."
    
    "Up until now, I hadn’t thought of what I would do."
    
    "It always seemed so far away, and being alone was so tempting."
    
    "But sitting here, in a warm dining room surrounded by a loving family…"
    
    "I guess I realized that I kinda wanted that."
    
    "The idea of going back home tonight after Rosa drops me off, to an empty apartment in Skin Row…"
    
    "…"
    
    "Is that what I want?"
    
    "…"
    
    scene livingro with dissolve
    
    show anon neutral flip at r_right
    
    show rosa neutral closed flip at rb_right
    
    show isabel smile at r_left
    
    show joshua neutral at rba_left
    
    play ambient1 'audio/OST/ballad_of_the_boot.ogg' fadein 4 volume .5
    
    "After dinner, Rosa’s parents walked us to the door."
    
    Is "An-on, thank you for coming over."
    
    #movein
    
    show isabel:
        easein 2.5 xpos .45
    
    "The frail woman gives me a hug, her hands trembling somewhat on my back."
    
    #moveback
    
    show isabel:
        easein 2.5 r_left
    
    Is "Keep treating her right and maybe you can come over for Easter dinner."
    
    show rosa bossy flip
    
    Ro  "Mama!"
    
    "Rosa’s mom hides a laugh behind her hand."
    
    show rosa considering flip
    
    Jo "An-on, pleasure to have you out here!"
    
    show anon concerned flip
    
    show rosa neutral closed flip
    
    "You can do this, Anon, prepare yourself…"
    
    #movein
    
    show isabel:
        easein 2 xpos .30
    
    show joshua:
        easein 1.5 rf_right
        
    pause 1
    
    play sound 'audio/effects/slapstickBigPunch.ogg'
    
    show anon fear flip
    
    "…"
    
    show anon neutral flip
    
    "Nope, didn’t help."
    
    show anon concerned flip
    
    show anon:
        easein 2 xpos .68
    
    "Fuck, I think my spine might be dislocated."
    
    #moveback
    
    show anon neutral flip
    
    show rosa considering flip
    
    Jo "Maybe next time I can show you the fields, make a farmer out of you!"
    
    "I manage a weak laugh to match his."
    
    "I mean, Gardening Club is alright, but…"
    
    show rosa unimpressed flip
    
    Ro  "Ugh, Papi, stop trying to hire my boyfriend!"
    
    "Thank you, Rosa."
    
    "These hands were meant to farm noobs, not to farm crops."
    
    Is "Drive safe, you two."
    
    #movein
    
    show isabel smile behind joshua
    
    show joshua neutral behind rosa
    
    show rosa neutral flip
    
    show rosa:
        easein 2 xpos .68
        
    show anon:
        easein 2.5 xpos .85
    
    "Rosa gives her parents a hug."
    
    #moveout
    
    show rosa:
        easein 1.5 xpos .68
    
    show rosa neutral
    
    show anon neutral
    
    Is "And come right home, Rosa!"
    
    stop ambient1 fadeout 2
    
    scene black with dissolve
    
    pause .75
    
    scene frontronight with dissolve
    
    play ambient2 'audio/effects/nightLoop.ogg' fadein 2 volume .15
    
    pause .5
    
    show anon neutral at re_left
    
    show rosa considering at re_left
    
    show anon:
        easein 3.5 r_left
    
    
    "Stepping outside, the twilight of the evening cradled me like a cool blanket."
    
    "I hesitated a moment, listening to the crickets chirp."
    
    "It was nice to hear them again, so far from the city."
    
    "Normal, the only nightlife I hear are the sirens and screams of drug addicts."
    
    "Out here was more like home, like Rock Bottom…"
    
    "…"
    
    "Since when did I think of Rock Bottom as home?"
    
    show rosa:
        easein 2.5 rb_left
    
    Ro  "An-on?"
    
    "I realize I had closed my eyes."
    
    show anon flip
    
    A  "Sorry, I was just taking it in for a moment."
    
    play ambient1 'audio/OST/Appreciating Her Company.ogg' fadein 4 volume .5
    
    show anon neutral
    
    show anon:
        easein 3.5 r_right
    
    show rosa:
        easein 3.5 rf_right
    
    "Rosa entwined her arm in mine as we walk to her car."
    
    "I could feel her sigh against my body."
    
    show rosa neutral
    
    Ro  "Ahhh, mi novio…"
    
    Ro  "I think that went well, don’t you?"
    
    "I nod, letting her voice mingle with the relaxing sounds of the farm."
    
    Ro  "Papi liked you, but I guess he likes everyone."
    
    Ro  "Even Mama wasn’t as bad as I expected."
    
    show anon:
        easein 3 rba_right
    
    show rosa:
        easein 3 r_right
    
    "We had reached the car now, moving to hold each other face-to-face."
    
    show anon neutral flip
    
    A  "You expected worse?"
    
    show rosa unimpressed smile
    
    Ro  "Mmmm…maybe."
    
    "Rosa gives me a coy smile."
    
    show rosa neutral
    
    Ro  "You won her over in the end, though, that’s all that matters."
    
    Ro  "She wasn’t kidding about Easter, though."
    
    "Our faces were almost touching at this point."
    
    show rosa unimpressed smile
    
    show rosa:
        easein 1.5 xpos .66
    
    "Rosa’s eyes begin to close as she presses her body against mine."
    
    A  "So I’ve got to treat you right to be invited back, huh?"
    
    "My hands trail up her arms, coming to rest on her shoulders."
    
    "Gods, does she smell wonderful…"
    
    Ro  "Oh, si, si."
    
    Ro  "You better treat me real good, An-on."
    
    "Her lips parted as she reached up to me, my own mouth coming down to meet her."
    
    show rosa unimpressed smile
    
    Ro  "So treat me well and kiss me, mi amor…"
    
    "Rosa’s arms ceep up around my neck, pulling me even closer to her."
    
    scene black with dissolve
    
    stop ambient1 fadeout 2
    
    stop ambient2 fadeout 2
    
    "…"
    
    "It was all the excuse I needed."

    return